Name | Type | Default |
alterTextCase
|
String
|
'none'
|
Sets or gets the alterTextCase property used to specify the field by which tags should be sorted. Possible values are 'none', 'allLower', 'allUpper', 'firstUpper', 'titleCase'
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :alterTextCase="'titleCase'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
disabled
|
Boolean
|
false
|
Enables or disables the ability to follow tag links in jqxTagCloud.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :disabled="true" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
displayLimit
|
Number
|
null
|
Sets or gets the displayLimit property used to filter highest values tags up to the number specified.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :displayLimit="3" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
displayMember
|
String
|
'label'
|
Sets or gets the field name used for the tag label.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
displayValue
|
Boolean
|
false
|
Sets or gets the displayValue property used to specify whether to add the tag value field after the text.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :displayValue="true" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
fontSizeUnit
|
String
|
'px'
|
Sets or gets the fontSizeUnit property used to set the font size unit possible values 'px', 'em', '%'
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :fontSizeUnit="'em'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
height
|
Number | String
|
null
|
Sets or gets the jqxTagCloud's height.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :height="50" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
maxColor
|
String
|
null
|
Sets or gets the maxColor property used to specify color of the tags for the elements with highest value attribute. Together with minColor property will set color of tags in a gradient fashion depending on their value attribute towards the highest value. Possible values: all browser supported colors including rgba.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :maxColor="'darkgreen'" :minColor="'lime'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
maxFontSize
|
Number
|
24
|
Sets or gets the maxFontSize property used to set the font size of the tags with the highest value attribute.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :maxFontSize="5" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
maxValueToDisplay
|
Number
|
0
|
Sets or gets the maxValueToDisplay property used to filter tags with value higher than the specified.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :maxValueToDisplay="50" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
minColor
|
String
|
null
|
Sets or gets the minColor property used to specify color of the tags for the elements with lowest value attribute. Together with maxColor property will set color of tags in a gradient fashion depending on their value attribute towards the highest value. Possible values: all browser supported colors including rgba.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :maxColor="'darkgreen'" :minColor="'lime'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
minFontSize
|
Number
|
10
|
Sets or gets the minFontSize property used to set the font size of the tags with the lowest value attribute.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :minFontSize="1" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
minValueToDisplay
|
Number
|
0
|
Sets or gets the minValueToDisplay property used to filter tags with value lower than the specified.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :minValueToDisplay="30" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :rtl="true" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
sortBy
|
String
|
'none'
|
Sets or gets the sortBy property used to specify the field by which tags should be sorted. Possible values are 'none', 'label', 'value'
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :sortBy="'label'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
sortOrder
|
String
|
'ascending'
|
Sets or gets the sortOrder property used to specify the direction in which tags should be sorted. Possible values are 'ascending', 'descending'
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :sortBy="'label'" :sortOrder="'descending'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
source
|
Object
|
{}
|
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
tagRenderer
|
Function
|
null
|
A callback function used for custom tags rendering.
function tagRenderer (itemData, minValue, valueRange)
itemData - the record information of the current tag
minValue - the lowest value attribute of all elements in the cloud
valueRange - the difference between the lowest and highest value attributes in the cloud ( can be used for custom logic )
The function must return valid content for an anchor tag, usually a string but can be also be a jquery element object.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :tagRenderer="tagRenderer" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, methods: { tagRenderer: function (itemData, minValue, valueRange) { return '<i>' + itemData.countryName + '</i>';
|
takeTopWeightedItems
|
Boolean
|
false
|
Sets or gets the takeTopWeightedItems property. Property indicates if displayLimit will prioritize highest value members
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :takeTopWeightedItems="true" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
textColor
|
String
|
null
|
Sets or gets the textColor property used to specify color of the tags in the case where the minColor and maxColor properties are not set. Possible values: all browser supported colors including rgba.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :textColor="'red'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
urlBase
|
String
|
''
|
Sets or gets the field name used for common base URL path for all tags.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :urlBase="'http://jqwidgets.com/'" :urlMember="'url'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
urlMember
|
String
|
'url'
|
Sets or gets the field name used by the anchor element.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" :urlMember="'url'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
valueMember
|
String
|
'value'
|
Sets or gets the field name used for value/weight.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
width
|
Number | String
|
null
|
Sets or gets the jqxTagCloud's width.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' },
|
|
bindingComplete
|
Event
|
|
This event is triggered when the widget has completed binding to a dataAdapter.
Code examples
Bind to the bindingComplete event of jqxTagCloud.
<template> <JqxTagCloud ref="myTagCloud" @bindingComplete="onBindingComplete($event)" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.source = this.source; }, methods: { onBindingComplete: function (event) { alert( 'do something...');
|
itemClick
|
Event
|
|
This event is triggered when a tag element is clicked. Event Arguments:
- label - item's label.
- value - item's value.
- url - item's url.
- visibleIndex - item's visible index.
- index - item's index.
- originalEvent - the Click event object.
- target - item's html element.
Code examples
Bind to the itemClick event of jqxTagCloud.
<template> <JqxTagCloud ref="myTagCloud" @itemClick="onItemClick($event)" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, methods: { onItemClick: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Calls the widget's destroy function.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.destroy();
|
findTagIndex
|
tag
|
Number
|
Returns the index of the first tag with the specified label (displayMember).
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { const value = this.$refs.myTagCloud.findTagIndex( 'Germany');
|
getHiddenTagsList
|
None
|
Array
|
Returns an array with indices of all hidden tags.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { const value = this.$refs.myTagCloud.getHiddenTagsList();
|
getRenderedTags
|
None
|
Array
|
Returns an array with a copy of all tags that have been rendered in the order that they have been rendered. This array excludes filtered values. But includes hidden ones.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { const value = this.$refs.myTagCloud.getRenderedTags();
|
getTagsList
|
None
|
Array
|
Returns an array with a copy of all tags. This list is used before any filtering/sorting/hiding is done.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { const value = this.$refs.myTagCloud.getTagsList();
|
hideItem
|
index
|
None
|
Hides an element with specified index.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.hideItem(1);
|
insertAt
|
index, item
|
None
|
Inserts an element before an element with specified index
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.insertAt(1,{ countryName: "Bulgaria", technologyRating: 50, url: "community" });
|
removeAt
|
index
|
None
|
Deletes an element with specified index.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.removeAt(1);
|
updateAt
|
index, item
|
None
|
Updates an element with specified index.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.updateAt(1,{ countryName: "USA", technologyRating: 70, url: "community" });
|
showItem
|
index
|
None
|
Reveals a hidden element with specified index.
<template> <JqxTagCloud ref="myTagCloud" :source="source" :width="800" :displayMember="'countryName'" :valueMember="'technologyRating'" /> </template>
<script> import JqxTagCloud from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtagcloud.vue'; export default { components: { JqxTagCloud }, data: function () { return { source: new jqx.dataAdapter(this.source) } }, beforeCreate: function () { let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; this.source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; }, mounted: function () { this.$refs.myTagCloud.showItem(1);
|

Name | Type | Default |
alterTextCase
|
TagCloudAlterTextCase
|
'none'
|
TagCloudAlterTextCase: "none" | "allLower" | "allUpper" | "firstUpper" | "titleCase"
Sets or gets the alterTextCase property used to specify the field by which tags should be sorted. Possible values are 'none', 'allLower', 'allUpper', 'firstUpper', 'titleCase'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} alterTextCase={ 'titleCase'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables or disables the ability to follow tag links in jqxTagCloud.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayLimit
|
number
|
null
|
Sets or gets the displayLimit property used to filter highest values tags up to the number specified.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} displayLimit={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
string
|
'label'
|
Sets or gets the field name used for the tag label.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayValue
|
boolean
|
false
|
Sets or gets the displayValue property used to specify whether to add the tag value field after the text.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} displayValue={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
fontSizeUnit
|
TagCloudFontSizeUnit
|
'px'
|
TagCloudFontSizeUnit: "px" | "em" | "%"
Sets or gets the fontSizeUnit property used to set the font size unit possible values 'px', 'em', '%'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} fontSizeUnit={ 'em'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
null
|
Sets or gets the jqxTagCloud's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} height={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxColor
|
string
|
null
|
Sets or gets the maxColor property used to specify color of the tags for the elements with highest value attribute. Together with minColor property will set color of tags in a gradient fashion depending on their value attribute towards the highest value. Possible values: all browser supported colors including rgba.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} maxColor={ 'darkgreen'} minColor={'lime'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxFontSize
|
number
|
24
|
Sets or gets the maxFontSize property used to set the font size of the tags with the highest value attribute.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} maxFontSize={5} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxValueToDisplay
|
number
|
0
|
Sets or gets the maxValueToDisplay property used to filter tags with value higher than the specified.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} maxValueToDisplay={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minColor
|
string
|
null
|
Sets or gets the minColor property used to specify color of the tags for the elements with lowest value attribute. Together with maxColor property will set color of tags in a gradient fashion depending on their value attribute towards the highest value. Possible values: all browser supported colors including rgba.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} maxColor={ 'darkgreen'} minColor={'lime'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minFontSize
|
number
|
10
|
Sets or gets the minFontSize property used to set the font size of the tags with the lowest value attribute.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} minFontSize={1} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minValueToDisplay
|
number
|
0
|
Sets or gets the minValueToDisplay property used to filter tags with value lower than the specified.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} minValueToDisplay={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
sortBy
|
TagCloudSortBy
|
'none'
|
TagCloudSortBy: "none" | "label" | "value"
Sets or gets the sortBy property used to specify the field by which tags should be sorted. Possible values are 'none', 'label', 'value'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} sortBy={ 'label'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
sortOrder
|
TagCloudSortOrder
|
'ascending'
|
TagCloudSortOrder: "ascending" | "descending"
Sets or gets the sortOrder property used to specify the direction in which tags should be sorted. Possible values are 'ascending', 'descending'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} sortBy={ 'label'} sortOrder={'descending'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
TagCloudSource
|
{}
|
TagCloudDataType: "xml" | "json" | "jsonp" | "tsv" | "csv" | "local" | "array" | "observablearray"
Interface TagCloudSource { url?: string; data?: any; localdata?: string; datatype?: TagCloudDataType; type?: string; id?: string; root?: string; record?: string; }
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tagRenderer
|
(itemData: TagCloudTagRenderer['itemData'], minValue: TagCloudTagRenderer['minValue'], valueRange: TagCloudTagRenderer['valueRange']) => any
|
null
|
Interface TagCloudTagRenderer { itemData?: any; minValue?: number; valueRange?: number; }
A callback function used for custom tags rendering.
function tagRenderer (itemData, minValue, valueRange)
itemData - the record information of the current tag
minValue - the lowest value attribute of all elements in the cloud
valueRange - the difference between the lowest and highest value attributes in the cloud ( can be used for custom logic )
The function must return valid content for an anchor tag, usually a string but can be also be a jquery element object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { tagRenderer: (itemData: any, minValue: number, valueRange: number): any => { return '<i>' + itemData.countryName + '</i>'; }, source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} tagRenderer={this.state.tagRenderer} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
takeTopWeightedItems
|
boolean
|
false
|
Sets or gets the takeTopWeightedItems property. Property indicates if displayLimit will prioritize highest value members
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} takeTopWeightedItems={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
textColor
|
string
|
null
|
Sets or gets the textColor property used to specify color of the tags in the case where the minColor and maxColor properties are not set. Possible values: all browser supported colors including rgba.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} textColor={ 'red'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
urlBase
|
string
|
''
|
Sets or gets the field name used for common base URL path for all tags.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} urlBase={'http://jqwidgets.com/'} urlMember={'url'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
urlMember
|
string
|
'url'
|
Sets or gets the field name used by the anchor element.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} urlMember={ 'url'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
string
|
'value'
|
Sets or gets the field name used for value/weight.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the jqxTagCloud's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
bindingComplete
|
Event
|
|
This event is triggered when the widget has completed binding to a dataAdapter.
Code examples
Bind to the bindingComplete event of jqxTagCloud.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.setOptions({ source: this.source }); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} onBindingComplete={this.onBindingComplete} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } private onBindingComplete(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
itemClick
|
Event
|
|
This event is triggered when a tag element is clicked. Event Arguments:
- label - item's label.
- value - item's value.
- url - item's url.
- visibleIndex - item's visible index.
- index - item's index.
- originalEvent - the Click event object.
- target - item's html element.
Code examples
Bind to the itemClick event of jqxTagCloud.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public render() { return ( <JqxTagCloud ref={this.myTagCloud} onItemClick={this.onItemClick} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } private onItemClick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Calls the widget's destroy function.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.destroy(); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
findTagIndex
|
tag
|
|
Returns the index of the first tag with the specified label (displayMember).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.findTagIndex( 'Germany'); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getHiddenTagsList
|
None
|
|
Returns an array with indices of all hidden tags.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.getHiddenTagsList(); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getRenderedTags
|
None
|
|
Returns an array with a copy of all tags that have been rendered in the order that they have been rendered. This array excludes filtered values. But includes hidden ones.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.getRenderedTags(); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getTagsList
|
None
|
|
Returns an array with a copy of all tags. This list is used before any filtering/sorting/hiding is done.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.getTagsList(); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideItem
|
index
|
|
Hides an element with specified index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.hideItem(1); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
insertAt
|
index, item
|
|
Inserts an element before an element with specified index
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.insertAt(1,{ countryName: "Bulgaria", technologyRating: 50, url: "community" }); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeAt
|
index
|
|
Deletes an element with specified index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.removeAt(1); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
updateAt
|
index, item
|
|
Updates an element with specified index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.updateAt(1,{ countryName: "USA", technologyRating: 70, url: "community" }); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showItem
|
index
|
|
Reveals a hidden element with specified index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTagCloud, { ITagCloudProps, jqx } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtagcloud'; class App extends React.PureComponent<{}, ITagCloudProps> { private myTagCloud = React.createRef<JqxTagCloud>(); constructor(props: {}) { super(props); let data = [ { countryName: "Australia", technologyRating: 35, url: "community" }, { countryName: "United States", technologyRating: 60, url: "community" }, { countryName: "Germany", technologyRating: 55, url: "community" }, { countryName: "Brasil", technologyRating: 20, url: "community" }, { countryName: "United Kingdom", technologyRating: 50, url: "community" }, { countryName: "Japan", technologyRating: 80, url: "community" } ]; const source = { localdata: data, datatype: "array", datafields: [ { name: 'countryName' }, { name: 'technologyRating' }, { name: 'url' } ] }; this.state = { source: new jqx.dataAdapter(source) } } public componentDidMount(): void { this.myTagCloud.current!.showItem(1); } public render() { return ( <JqxTagCloud ref={this.myTagCloud} source={this.state.source} width={800} displayMember={ 'countryName'} valueMember={'technologyRating'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|